using APT.BaseData.Domain.Enums.PF;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PR
{
    [Description("控制室运行记录")]
    public class T_PR_CONTROLROOM_OPERATION_RECORD : MesEntityBase
    {
        [Description("系列")]
        public ICollection<T_PR_CONTROLROOM_OPERATION_RECORD_SERI> Nav_Seris { get; set; }

        [Description("药剂消耗")]
        public ICollection<T_PR_CONTROLROOM_OPERATION_RECORD_DRUG> Nav_Drugs { get; set; }
        [Description("进气总气压")]
        public ICollection<T_PR_CONTROLROOM_OPERATION_RECORD_AIR> Nav_Airs { get; set; }
        [Description("处理量估算")]
        public ICollection<T_PR_CONTROLROOM_OPERATION_RECORD_DEAL> Nav_Deals { get; set; }
        [Description("状态")]
        [EnumName("PFStandardStatus")]
        public PFStandardStatus STATUS { get; set; }

        [Description("是否发布")]
        [DataFieldIngore]
        public string PUBLISH { get; set; }
    }
}
